Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Query Parameters

securityCode
string

The security code

domain
string

The G Suite domain

Body

application/json
description
string

The description of the category

dynamicValues
boolean

Whether the category authorizes dynamic values

folder
boolean

Whether the category is the Folder category (read-only)

id
string

The ID of the category

kind
string
levelNames
string[]

The name of the levels in the category

levelNames_i18n
string[]

The internationalized name of the levels in the category (read-only field)

libraryId
string

The ID of the library

name
string

The name of the category

tags
boolean

Whether the category is the Tags category (read-only)

value
string

The ID of the category (backward compatibility for category.category.listCategoryDefinitions)

Response

200 - application/json

A ApiCategoryDefinition response

description
string

The description of the category

dynamicValues
boolean

Whether the category authorizes dynamic values

folder
boolean

Whether the category is the Folder category (read-only)

id
string

The ID of the category

kind
string
levelNames
string[]

The name of the levels in the category

levelNames_i18n
string[]

The internationalized name of the levels in the category (read-only field)

libraryId
string

The ID of the library

name
string

The name of the category

tags
boolean

Whether the category is the Tags category (read-only)

value
string

The ID of the category (backward compatibility for category.category.listCategoryDefinitions)